package com.mosty.base.manager.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.entity.jcgl.TbJcglXfDwgl;
import com.mosty.base.model.query.jcgl.TbJcglXfDwglQuery;

import java.util.List;

public interface TbJcglXfDwglService {

    TbJcglXfDwgl queryById(String id);

    IPage<TbJcglXfDwgl> paginQuery(TbJcglXfDwglQuery query);

    Integer insert(TbJcglXfDwgl xf);

    Integer update(TbJcglXfDwgl xf);

    Boolean deleteById(String id);

    Boolean deleteByIds(List<String> id);
}
